using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace _2024._11._28
{
    public class Csomopont<T>
    {
        public T Adat { get; set; }
        public List<Csomopont<T>> Gyermekek { get; set; }

        public Csomopont(T adat)
        {
            Adat = adat;
            Gyermekek = new List<Csomopont<T>>();
        }

        public void HozzaadGyermek(Csomopont<T> gyermek)
        {
            Gyermekek.Add(gyermek);
        }
    }
}
